#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.0
visibility:           public
id:                   hls-class-plugin-1.1.1.0-EnVDCW5xF9jJvK0V84VVDG
key:                  hls-class-plugin-1.1.1.0-EnVDCW5xF9jJvK0V84VVDG
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  dbf5c3cc1ffc72cf77d64d49e8ed5da4
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.0-EnVDCW5xF9jJvK0V84VVDG
depends:
    aeson-2.1.2.1-3SHm0QLDkzeAZY7TeIq3Kg base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.14-GuXvneopKYYHJ2JerKG48F ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-F3W1NhNN2WeH4KbEvLeuVz
    ghcide-1.9.1.0-BaZ0fG8wHizCshi5MOtiym
    hls-graph-1.9.0.0-BuxlvxTYJOBBcnZfcQhhqM
    hls-plugin-api-1.6.0.0-DFT9Sa0eAvBAyuLPFkJN0G
    lens-5.2.3-9AMflwVhYM65Wkzb0PYEVA
    lsp-1.6.0.0-JcCuaIgvBIz8OczrE5G7B4 text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

